use std::fmt::{Display, Formatter};
use std::path::PathBuf;

#[derive(Debug)]
pub struct GitDir<'a>{
    pub fullname: PathBuf,
    pub tree : git2::Tree<'a>,
}

impl Display for GitDir<'_> {
    fn fmt(&self, f: &mut Formatter<'_>) -> std::fmt::Result {
        write!(f, "{}", self.fullname.display())
    }
}
